﻿/* #region layout externo - estrutura E-Docs com Bootstrap */

#edocs-main-content {
    display: flex;
    animation: scd-keyframe--fadein 0.25s;    
}

/* #endregion */

/* #region layout base */

main {
    width: 100vw;
    height: calc(100vh - 48px);
    margin-top: 48px !important;
    overflow-y: auto;
    overflow-x: hidden;
}

@media (max-width: 991px) { /*lg*/
    main {
        height: calc(100vh - 48px);
    }
}

/* #endregion */

/* #region TITULO e TOOLBAR */

.container-titulo {
    padding-top: 0.5rem;
    padding-bottom: 0.25rem;
    padding-right: 0.75rem !important;
    padding-left: 1rem !important;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--edocs-bg-color);
}

    .container-titulo .area-titulo {
        display: flex;
        align-items: center;
    }

        .container-titulo .area-titulo .botao-voltar {
            cursor: pointer;
            margin-right: 1rem;
        }

            .container-titulo .area-titulo .botao-voltar:hover {
                filter: brightness(80%);
            }

            .container-titulo .area-titulo .botao-voltar i {
                color: var(--mdc-theme-primary);
                font-size: 2.15rem;
                padding: 0;
            }

        .container-titulo .area-titulo .titulo {
            font-size: 1.5rem;
            font-weight: bold;
        }

    .container-titulo .area-opcoes {
    }

@media (max-width: 991px) { /*lg*/

    .container-titulo {
        padding-top: 0.75rem !important;
        padding-bottom: 0.75rem !important;
        align-items: baseline;
        padding-left: 1rem !important;
    }

        .container-titulo .area-titulo {
            height: 1.5rem;
        }

            .container-titulo .area-titulo .botao-voltar {
                margin-top: 0.25rem;
            }

                .container-titulo .area-titulo .botao-voltar i {
                    font-size: 1.75rem;
                }

            .container-titulo .area-titulo .titulo {
                font-size: 1.25rem;
                font-weight: 500;
            }
}

/* #endregion */

/* #region MENU LATERAL */

.menu-button {
    width: 4rem;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #FF5722; /* MDC DEEP ORANGE 500 */
    cursor: pointer;
}

    .menu-button:hover {
        background-color: #e64a19; /* MDC DEEP ORANGE 700 */
    }

    .menu-button i {
        font-size: 2rem;
        color: #fff;
    }

.edocs-button {
    width: 5rem;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

    .edocs-button:hover {
        background-color: var(--mdc-theme-primary--dark-2);
    }

/* #endregion */

